sub introducir {
($termino,$significado)=@_;

# print "termino=$termino significado=$significado\n";
if ((! $termino) || (! $significado))
{
	salir("Incompleto");
}
open(FICHERO, ">>$diccionario") || salir("Error al abrir el diccionario");
print FICHERO "$termino|$significado\n";
close(FICHERO);

open (FICHERO, "$diccionario") || salir("Error al abrir el diccionario");
while ($linea = <FICHERO>)
{
	chop $linea;
	($term = $linea) =~ s/\|.*//;
	($sig = $linea) =~ s/[^\|]*\|//;
# 	print " term=$term sig=$sig\n";
	$diccionario{"$term"} = "$sig";
}
close FICHERO;

# Ahora genero el HTML de salida
open (DICC_HTML, ">$diccionario_html") || salir ("Error al abrir el diccionario html");
open(PLANTILLA, "$plantilla") || ("Error al abrir la plantilla");
while (<PLANTILLA>)
{
        print DICC_HTML $_;
}
close(PLANTILLA);

@claves =keys(%diccionario);
@idx = ();
for (@claves)
{
	($item) = /\s*(\S+)/;
	push @idx, uc($item);
}
@sorted = @claves[ sort { $idx[$a] cmp $idx[$b] } 0 .. $#idx ];
while ($clave = shift(@sorted))
{
	print DICC_HTML "<P><B>$clave: </B>$diccionario{$clave}\n";
}
print DICC_HTML "</BODY></HTML>\n";

close(DICC_HTML);


# Ahora pongo la salida HTML
print "Content-type: text/html\n";
print "Location: /diccionario/index.html\n\n";
}

sub salir {
	($cadena) = @_;

	print "Content-type: text/html\n\n";
	print "<HTML><BODY><FONT COLOR=red>Se ha producido un error\n";
	print "<P>mensaje = $cadena\n</FONT>";
	print "</BODY></HTML>\n";
	exit;
}
1;
